##
##  icescrum.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg   7.54
%define       V_dist   7.54
%define       V_subdir 7-54

#   package information
Name:         icescrum
Summary:      Scrum and Kanban Task Board
URL:          http://www.icescrum.org/en/
Vendor:       Kagilum
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Ticketing
License:      AGPL
Version:      %{V_opkg}
Release:      20210706

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/icescrum/icescrum-%{V_dist}.jar
Source1:      rc.icescrum

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101
PreReq:       java, JAVA-JDK

%description
    IceScrum support Scrum and Kanban with a backlog, spring plan,
    dashboard, release plan and timeline.

%track
    prog icescrum = {
        version   = %{V_subdir}
        url       = https://www.icescrum.com/download/
        regex     = download/v(\d+-\d+)
    }

%prep
    %setup -q -T -c

%build

%install
    #   create installation hierarchy
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/icescrum \
        $RPM_BUILD_ROOT%{l_prefix}/var/icescrum/run \
        $RPM_BUILD_ROOT%{l_prefix}/var/icescrum/log \
        $RPM_BUILD_ROOT%{l_prefix}/var/icescrum/db

    #   install application into application server area
    cp %{SOURCE0} \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/icescrum/icescrum.jar

    #   install run-command script
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE rc.icescrum} $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%attr(-,%{l_rusr},%{l_rgrp}) %{l_prefix}/var/icescrum/*'

%files -f files

%clean

%post
    #   after upgrade, restart application server
    [ $1 -eq 2 ] || exit 0
    eval `%{l_rc} icescrum status 2>/dev/null`
    [ ".$icescrum_active" = .yes ] && %{l_rc} icescrum restart
    exit 0

%preun
    #   before erase, stop service and remove log files
    if [ $1 -eq 0 ]; then
        rm -rf $RPM_INSTALL_PREFIX/var/icescrum/db/*  >/dev/null 2>&1 || true
        rm -f  $RPM_INSTALL_PREFIX/var/icescrum/log/* >/dev/null 2>&1 || true
        rm -f  $RPM_INSTALL_PREFIX/var/icescrum/run/* >/dev/null 2>&1 || true
    fi
    exit 0

